"""IO utils for AtomicEmbeddings."""

from __future__ import annotations

import json

import numpy as np


class NumpyEncoder(json.JSONEncoder):
    """Special json encoder for numpy types."""

    def default(self, obj):
        """Encode numpy types."""
        if isinstance(obj, np.ndarray):
            return obj.tolist()
        return json.JSONEncoder.default(self, obj)
